# API

```{eval-rst}
.. module:: spatialdata_io
```

## spatialdata-io

I/O for the `spatialdata` project.

### Readers

```{eval-rst}
.. autosummary::
    :toctree: generated

    codex
    cosmx
    curio
    dbit
    mcmicro
    merscope
    seqfish
    steinbock
    stereoseq
    visium
    visium_hd
    xenium
```

### Experimental readers

```{eval-rst}
.. currentmodule:: spatialdata_io.experimental

.. autosummary::
    :toctree: generated

    iss
```

### Conversion functions

```{eval-rst}
.. currentmodule:: spatialdata_io

.. autosummary::
    :toctree: generated

```

### Experimental conversion functions

```{eval-rst}
.. currentmodule:: spatialdata_io.experimental

.. autosummary::
    :toctree: generated

    from_legacy_anndata
    to_legacy_anndata
```

### Utility functions

```{eval-rst}
.. currentmodule:: spatialdata_io

.. autosummary::
    :toctree: generated

    xenium_aligned_image
    xenium_explorer_selection
```
